## powerplant 0+p24.04+vunstable+git20251113.0650

=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20251113.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 06:50:49 +0000

powerplant (0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:38:53 +0000

## powerplant 0+p24.04+vunstable+git20251125.1321

=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20251125.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:21:08 +0000

## powerplant 0+p24.04+vunstable+git20260205.0808

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Mathis Brüchert <mbb@kaidan.im>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(powerplant VERSION 0.1)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

set(QT_MIN_VERSION 6.6)
set(KF_MIN_VERSION 6.12)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX POWERPLANT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/version-powerplant.h"
)

kde_enable_exceptions()

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami CoreAddons Config I18n )
find_package(KWeatherCore REQUIRED)

if (NOT ANDROID)
   find_package(KF6 ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
endif()

find_package(KF6KirigamiAddons 1.6.0)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components and runtime dependency"
)

if (TARGET KF6::Crash)
    set(HAVE_KCRASH TRUE)
endif()

find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 REQUIRED COMPONENTS Core)

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.13.0
)

add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.powerplant.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.powerplant.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.powerplant.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023 Mathis Brüchert <mbb@kaidan.im>

add_library(powerplant_static STATIC)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-powerplant.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powerplant.h)

ecm_add_qml_module(powerplant_static
    GENERATE_PLUGIN_SOURCE
    URI org.kde.powerplant
    VERSION 1.0
    QML_FILES
        qml/Main.qml
        qml/PlantsPage.qml
        qml/HealthSlider.qml
        qml/PlantEditorPage.qml
        qml/PlantDetailPage.qml
        qml/NavigationBar.qml
        qml/TaskPage.qml
        qml/components/TextIconBox.qml
    DEPENDENCIES
        QtCore
        QtQuick
)

ecm_qt_declare_logging_category(powerplant_static
    HEADER powerplant_debug.h
    IDENTIFIER POWERPLANT_LOG
    CATEGORY_NAME org.kde.powerplant
    DESCRIPTION "powerplant"
    DEFAULT_SEVERITY Warning
    EXPORT POWERPLANT
)

target_sources(powerplant_static PRIVATE
    database.cpp database.h
    plantsmodel.cpp plantsmodel.h
    healthhistorymodel.cpp healthhistorymodel.h
    waterhistorymodel.cpp waterhistorymodel.h
    fertilizerhistorymodel.cpp fertilizerhistorymodel.h
    colorgradientinterpolator.cpp colorgradientinterpolator.h
    plantimagemodel.cpp plantimagemodel.h
    planteditor.cpp planteditor.h
    weathermodel.cpp weathermodel.h
)

target_link_libraries(powerplant_static PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::Widgets
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::ConfigGui
    KWeatherCore
    FutureSQL6::FutureSQL
    QCoro6::Core)


if (ANDROID)
    kirigami_package_breeze_icons(ICONS
        help-about-symbolic
        view-calendar-tasks-symbolic
        battery-profile-powersave-symbolic
        document-edit-symbolic
        delete-symbolic
        go-home-symbolic
        view-calendar-birthday-symbolic
        raindrop-symbolic
        answer-correct-symbolic
        list-add-symbolic

        ${KIRIGAMI_ADDONS_ICONS}
    )
endif()

kconfig_target_kcfg_file(powerplant_static FILE powerplantconfig.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)

## Executable
add_executable(powerplant main.cpp resources.qrc)

target_link_libraries(powerplant PRIVATE powerplant_static powerplant_staticplugin)
if (TARGET KF6::Crash)
   target_link_libraries(powerplant PRIVATE KF6::Crash)
endif()	
install(TARGETS powerplant ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_add_android_apk(powerplant ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)

=== debian/changelog ===
powerplant (0+p24.04+vunstable+git20260205.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:08:35 +0000

=== debian/control ===
Source: powerplant
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               libfuturesql-dev,
               libkweathercore-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/powerplant
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/powerplant.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/powerplant
Maintainer: Neon CI <neon@kde.org>

Package: powerplant
Architecture: any
Depends: kf6-kirigami,
         kf6-kirigami-addons,
         libkweathercore6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tracks house and garden plant care
 PowerPlant lets you track when your plants have to be watered and how
 their health develops over time.
